// Interface_Silo.h
// Interface of DarcyLite+/FemLiteC++ with Silo
// James Liu, ColoState; 2014/07--2016/05

#include "silo.h"

int Write_BrickMesh_ScalarData_Silo(const BrickMesh &mesh,
  char MeshName[], char ScalarName[], double *ScaEm);

int Write_BrickMesh_VectorData_Silo();

int Write_TetraMesh_ScalarData_Silo();

int Write_TetraMesh_VectorData_Silo();

int Write_RectMesh_ScalarData_Silo();

int Write_RectMesh_VectorData_Silo();

int Write_RectMesh_Silo(const RectMesh &mesh);

int Write_RectMesh_Silo_test();

// Interface_Silo.h